@font-face {
  font-family: 'Comfortaa';
  src: local('Comfortaa'),
    url('./fonts/Comfortaa-Regular.woff2') format('woff2');
}

:root {
  --main-white-text-color: #fff;
  --main-black-text-color: #212121;
}

* {
  box-sizing: border-box;
  /* outline: 1px solid green !important; */
}

html,
body {
  height: 100%;
  margin: 0;
}

body {
  font-size: 20px;
  font-family: 'Comfortaa', Helvetica, sans-serif, serif;
  color: var(--main-black-text-color);
}

header {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
  padding-top: 10vh;
  background-image: url('./images/background-header.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 80% 44%;
}

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 5vh;
  padding-left: 30px;
  padding-right: 30px;
}

main > * + * {
  margin-top: 5vh;
}

footer {
  height: 40%;
  margin-top: 6vh;
  padding: 20px 0 150px;
  text-align: center;
  background-color: rgba(174, 174, 174, 0.92);
  color: var(--main-black-text-color);
  background-image: url('./images/hands.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 86%;
  font-size: 17px;
}

h1,
h2 {
  font-family: 'Comfortaa', Helvetica, sans-serif, serif;
  font-weight: 400;
  text-transform: uppercase;
}

h1 {
  margin: 0;
  font-size: 9vw;
  color: var(--main-white-text-color);
}

a,
a:visited {
  color: var(--main-black-text-color);
}

a:hover {
  text-decoration: none;
}

.header-texts-block {
  text-align: end;
}

.header-subtext {
  color: var(--main-white-text-color);
  font-family: 'Comfortaa', Helvetica, sans-serif, serif;
  font-weight: 400;
  font-size: 5vw;
  margin: 1vw 0 0;
}

section {
  width: 100%;
  max-width: 1000px;
  margin-left: 30px;
  margin-right: 30px;
  padding: 30px;
  background-color: rgba(255, 255, 255, 0.92);
  border: 3px solid #d9d9eb;
  line-height: 150%;
}

li + li {
  margin-top: 15px;
}

.bus-stop {
  display: none;
  max-width: 500px;
  margin-top: 10px;
  /* max-height: 200px; */
}

.map-section {
  padding-bottom: 0;
}

.map {
  text-align: center;
  margin-left: -30px;
  margin-right: -30px;
}

.present {
  width: calc(100% + 60px);
  height: 70vw;
  background-image: url('./images/present.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 56%;
}

.colors-palette {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1vw;
}

.color {
  flex: 1;
  height: 100px;
}

.color-1 {
  background-color: #a5a9d7;
}

.color-2 {
  background-color: #3f6d8f;
}

.color-3 {
  background-color: #869da5;
}

.color-4 {
  background-color: #54d0e8;
}

.color-5 {
  background-color: #b9eaee;
}

.info {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 33px;
  line-height: 150%;
}

@media (min-width: 769px) {
  body {
    font-size: 25px;
  }

  footer {
    min-height: 400px;
    padding-top: 50px;
    font-size: inherit;
    background-position: 0 75%;
  }

  .header-subtext {
    font-size: 3vw;
  }

  section {
    padding: 50px 100px;
  }

  .bus-stop {
    display: block;
  }

  .map {
    margin-left: -100px;
    margin-right: -100px;
  }

  .present {
    height: 30vw;
    background-position: 0 56%;
  }

  .color {
    height: 150px;
  }

  .info {
    padding: 0 103px;
  }
}
